- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreFont.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreResource.h"`
`#include "OgreTexture.h"`
`#include "OgreMaterial.h"`
`#include "OgreCommon.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::Font
| Class representing a font in the system. More...
class | Ogre::Font::CmdType
| Command object for Font - see ParamCommand. More...
class | Ogre::Font::CmdSource
| Command object for Font - see ParamCommand. More...
class | Ogre::Font::CmdSize
| Command object for Font - see ParamCommand. More...
class | Ogre::Font::CmdResolution
| Command object for Font - see ParamCommand. More...
class | Ogre::Font::CmdCodePoints
| Command object for Font - see ParamCommand. More...
struct | Ogre::Font::GlyphInfo
| Information about the position and size of a glyph in a texture. More...
class | Ogre::FontPtr
| Specialisation of SharedPtr to allow SharedPtr to be assigned to FontPtr. More...
## Enumerations
enum | Ogre::FontType { Ogre::FT_TRUETYPE = 1, Ogre::FT_IMAGE = 2 }
| Enumerates the types of Font usable in the engine. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008